# typed: strict
module Domain::PostGroupsHelper
  extend T::Sig
  extend T::Helpers
  include HelpersInterface
  abstract!

  sig { params(post_group: Domain::PostGroup).returns(String) }
  def domain_post_group_posts_path(post_group)
    "#{domain_post_groups_path}/#{post_group.to_param}/posts"
  end

  sig { returns(String) }
  def domain_post_groups_path
    "/pools"
  end
end
